apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  labels:
    kops.k8s.io/cluster: k8s-prod.datasaker.io
  name: k8s-prod-data
spec:
  image: ami-03a4aa6d399a5d20b
  instanceMetadata:
    httpTokens: required
  kubelet:
    anonymousAuth: false
    nodeLabels:
      node-role.kubernetes.io/node: ""
  machineType: m5a.2xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data
    kops.k8s.io/instancegroup: k8s-prod-data
  role: Node
  subnets:
  - ap-northeast-2c
  taints:
  - prod/data:NoSchedule
